# Created by pyp2rpm-3.3.2
%global pypi_name ExifRead

Name:           python-%{pypi_name}
Version:        2.1.2
Release:        1%{?dist}
Summary:        Read Exif metadata from tiff and jpeg files

License:        BSD
URL:            https://github.com/ianare/exif-py
Source0:        https://files.pythonhosted.org/packages/source/E/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
EXIF.py Easy to use Python module to extract Exif metadata from tiff and jpeg
files.Originally written by Gene Cash & Thierry Bousch. Installation
************PyPIThe recommended process is to install the PyPI package < as it
allows easily staying up to date::

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
EXIF.py Easy to use Python module to extract Exif metadata from tiff and jpeg
files.Originally written by Gene Cash & Thierry Bousch. Installation
************PyPIThe recommended process is to install the PyPI package < as it
allows easily staying up to date::


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE.txt
%doc README.rst
%{_bindir}/EXIF.py
%{python3_sitelib}/exifread
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%changelog
* Tue Apr 07 2020 Jakub Jelen <jjelen@redhat.com> - 2.1.2-1
- Initial package.